UnifiedHighlighter.HighlightFlag (Lucene 10.5.0 highlighter API)
Description: declaration: package: org.apache.lucene.search.uhighlight, class: UnifiedHighlighter, enum: HighlightFlag

Package org.apache.lucene.search.uhighlight

# Enum Class UnifiedHighlighter.HighlightFlag

java.lang.Object
java.lang.Enum<UnifiedHighlighter.HighlightFlag>
org.apache.lucene.search.uhighlight.UnifiedHighlighter.HighlightFlag

All Implemented Interfaces:
  `Serializable`, `Comparable<UnifiedHighlighter.HighlightFlag>`, `Constable`

Enclosing class:
  `UnifiedHighlighter`

public static enum UnifiedHighlighter.HighlightFlag extends Enum<UnifiedHighlighter.HighlightFlag>
Flags for controlling highlighting behavior.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MULTI_TERM_QUERY`
  `PASSAGE_RELEVANCY_OVER_SPEED`
  `PHRASES`
  `WEIGHT_MATCHES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UnifiedHighlighter.HighlightFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static UnifiedHighlighter.HighlightFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PHRASES

    public static final UnifiedHighlighter.HighlightFlag PHRASES
    See Also:
      - `UnifiedHighlighter.Builder.withHighlightPhrasesStrictly(boolean)`

  - ### MULTI_TERM_QUERY

    public static final UnifiedHighlighter.HighlightFlag MULTI_TERM_QUERY
    See Also:
      - `UnifiedHighlighter.Builder.withHandleMultiTermQuery(boolean)`

  - ### PASSAGE_RELEVANCY_OVER_SPEED

    public static final UnifiedHighlighter.HighlightFlag PASSAGE_RELEVANCY_OVER_SPEED
    See Also:
      - `UnifiedHighlighter.Builder.withPassageRelevancyOverSpeed(boolean)`

  - ### WEIGHT_MATCHES

    public static final UnifiedHighlighter.HighlightFlag WEIGHT_MATCHES
    See Also:
      - `UnifiedHighlighter.Builder.withWeightMatches(boolean)`

- ## Method Details

  - ### values

    public static UnifiedHighlighter.HighlightFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static UnifiedHighlighter.HighlightFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null